%define name 	protux
%define version 0.20.1
%define release 1mdk

Summary: 	Protux Free Professional Audio Tools
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://www.nongnu.org/protux/
Source: 	http://protux.sourceforge.net/%{version}/%{name}-%{version}.tar.bz2
Source10: 	%name-16.png
Source11: 	%name-32.png
Source12: 	%name-48.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	qt3-devel
BuildRequires: 	libmustux-devel
BuildRequires: 	libalsa-devel

%description
Protux aims to be the most pratical and one of the most powerful 
audio tools for Linux. 

THE thing in Protux is to accelerate audio Production work. 
So, learning Protux is kind of automating your hands to do fast 
audio manipulation. For that, Protux uses a own engine called 
Jog Mouse Board (JMB), which is a mix of keyboard and mouse actions.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_includedir

%{find_lang} %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Multimedia/Sound" \
title="Protux" longtitle="Multitrack digital audio suite"
EOF

#icon
install -d $RPM_BUILD_ROOT/{%_iconsdir,%_liconsdir,%_miconsdir}
cp %SOURCE10 $RPM_BUILD_ROOT%_miconsdir/%name.png
cp %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/%name.png
cp %SOURCE12 $RPM_BUILD_ROOT%_liconsdir/%name.png

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 0.20.1-1mdk
- 0.20.1

* Tue Oct 14 2003 Austin Acton <aacton@yorku.ca> 0.18.0-1mdk
- 0.18.0
- cleanup

* Fri May 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.16.0-1mdk
- Fix url
- 0.16.0
- png icons 
 
* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12-0.1mdk
- 0.12pre1

* Tue Nov 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.5-1mdk
- release 0.10.5 (last stable)
- a few fixes in the package

* Fri Apr 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- first Mandrake release

